=== debian/changelog ===
lomiri-polkit-agent (0.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:09 +1100

lomiri-polkit-agent (0.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1065663).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 08 Mar 2024 13:36:44 +0100
