=== debian/control ===
Source: lomiri-polkit-agent
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: click-dev,
               cmake,
               cmake-extras,
               dbus,
               dbus-test-runner,
               debhelper-compat (= 13),
               debhelper,
               google-mock,
               libdbustest1-dev,
               libglib2.0-dev,
               libgtest-dev,
               libnotify-dev,
               libproperties-cpp-dev,
               libpolkit-agent-1-dev,
               python3-dbusmock,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-polkit-agent
Vcs-Browser: https://gitlab.com/ubports/development/core/lomiri-polkit-agent/
Vcs-Git: https://gitlab.com/ubports/development/core/lomiri-polkit-agent.git

Package: lomiri-polkit-agent
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Service to prompt for policy kit permissions in Lomiri
 Connects to the Policy Kit daemon for the session and responds
 to requests for authentication. It then creates a Lomiri
 snap decision to request the password from the user, returning
 it back to PolicyKit.
