=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-polkit-agent/tags .*/lomiri-polkit-agent-(\d\S+)\.tar\.gz
