## lomiri-polkit-agent 0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.5)
 
-project(lomiri-polkit-agent VERSION 0.1 LANGUAGES CXX)
+project(lomiri-polkit-agent VERSION 0.2 LANGUAGES CXX)
 
 set (PACKAGE_VERSION ${PROJECT_VERSION})
 set (PACKAGE ${CMAKE_PROJECT_NAME})
@@ -10,10 +10,6 @@
 ##
 
 include (GNUInstallDirs)
-if (EXISTS "/etc/debian_version") 
-	set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
-	set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
-endif()
 
 set(CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
 set(CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
@@ -29,6 +25,7 @@
 pkg_check_modules(POLICYKIT REQUIRED polkit-agent-1)
 pkg_check_modules(GIO REQUIRED gio-2.0)
 pkg_check_modules(NOTIFY REQUIRED libnotify)
+pkg_check_modules(PROPERTIESCPP REQUIRED properties-cpp)
 
 ##
 ## Include code formatting
@@ -49,13 +46,11 @@
 ## Testing
 ##
 
-option (enable_tests "Build the package's automatic tests." ON)
+include(CTest)
 
-if (${enable_tests})
-  enable_testing()
+if (BUILD_TESTING)
+  add_subdirectory(tests)
 endif()
-
-add_subdirectory(tests)
 
 ##
 ## Coverage
