=== debian/changelog ===
lomiri-polkit-agent (0.2-1) unstable; urgency=medium

  * New upstream release.
    - Support API set_app_icon() change in libnotify 0.8.4. (Closes: #1098572).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop patches 1001, 1002, 1003. Applied upstream.
    + Drop 1004_fix-systemd-with-service-lomiri.patch . Unneeded now, issue
      resolved otherwise by upstream.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 08:29:36 +0100

lomiri-polkit-agent (0.1-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 1004_fix-systemd-with-service-lomiri.patch. Come-up with
      lomiri.service, as well (the service name is different in vanilla
      Debian/Ubuntu compared to Ubuntu Touch).
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 25 Aug 2024 17:45:08 +0200
