## lomiri-polkit-agent 0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.5)
 
-project(lomiri-polkit-agent VERSION 0.2 LANGUAGES CXX)
+project(lomiri-polkit-agent VERSION 0.3 LANGUAGES CXX)
 
 set (PACKAGE_VERSION ${PROJECT_VERSION})
 set (PACKAGE ${CMAKE_PROJECT_NAME})
