=== debian/changelog ===
lomiri-polkit-agent (0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 19 Mar 2025 18:41:53 +0100
