## lomiri-polkit-agent 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.5)
 
-project(lomiri-polkit-agent VERSION 0.3 LANGUAGES CXX)
+project(lomiri-polkit-agent VERSION 0.3.1 LANGUAGES CXX)
 
 set (PACKAGE_VERSION ${PROJECT_VERSION})
 set (PACKAGE ${CMAKE_PROJECT_NAME})
@@ -15,7 +15,7 @@
 set(CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
 set(CMAKE_INSTALL_FULL_PKGDATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${CMAKE_PROJECT_NAME}")
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror -Wno-deprecated-declarations -std=c++14 -pthread ${GCOV_FLAGS}")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror -Wno-deprecated-declarations -std=c++17 -pthread ${GCOV_FLAGS}")
 
 ##
 ## Pkgconfig
