=== debian/changelog ===
lomiri-polkit-agent (0.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Support building against GTest/GMock >= 1.17.0. (Closes: #1114190).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 Sep 2025 11:55:19 +0200
