=== data/CMakeLists.txt ===

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/lomiri-polkit-agent.service.in
  ${CMAKE_CURRENT_BINARY_DIR}/lomiri-polkit-agent.service
  @ONLY
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/lomiri-polkit-agent.service
  DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/systemd/user"
)
