=== service/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	${POLICYKIT_INCLUDE_DIRS}
 	${GIO_INCLUDE_DIRS}
 	${NOTIFY_INCLUDE_DIRS}
+	${PROPERTIESCPP_INCLUDE_DIRS}
 )
 
 add_definitions(-DPOLKIT_AGENT_I_KNOW_API_IS_SUBJECT_TO_CHANGE)
@@ -30,6 +31,10 @@
 add_library(service-lib STATIC
 	${LIBRARY_SOURCES}
 )
+
+if (NOTIFY_VERSION VERSION_GREATER_EQUAL "0.8.4")
+    target_compile_definitions (service-lib PUBLIC LIBNOTIFY_HAS_SET_APP_ICON)
+endif ()
 
 target_link_libraries(service-lib
 	${POLICYKIT_LIBRARIES}
