=== debian/changelog ===
lomiri-polkit-agent (0.3.2-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake >= 4. (Closes: #1113242).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Sep 2025 20:29:15 +0200
