=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-polkit-agent
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Build-Depends: click-dev,
                cmake,
@@ -19,7 +18,7 @@
                libproperties-cpp-dev,
                libpolkit-agent-1-dev,
                python3-dbusmock,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-polkit-agent
 Vcs-Browser: https://gitlab.com/ubports/development/core/lomiri-polkit-agent/
