=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export G_MESSAGES_DEBUG=all

include /usr/share/dpkg/default.mk

include /usr/share/dpkg/buildflags.mk
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
